From 9bff5f1999e807cf20062c4085b31a93327a4c8b Mon Sep 17 00:00:00 2001
From: rc-05 <rc23@email.it>
Date: Tue, 16 Apr 2019 20:19:55 +0200
Subject: [PATCH 1/4] New package: ProTracker-0.20b

---
 srcpkgs/ProTracker/template | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)
 create mode 100644 srcpkgs/ProTracker/template

diff --git a/srcpkgs/ProTracker/template b/srcpkgs/ProTracker/template
new file mode 100644
index 00000000000..7ce76b096d5
--- /dev/null
+++ b/srcpkgs/ProTracker/template
@@ -0,0 +1,25 @@
+# Template file for 'ProTracker'
+pkgname=ProTracker
+version=0.20b
+revision=1
+hostmakedepends="subversion"
+makedepends="SDL2-devel"
+depends="SDL2"
+short_desc="Modern clone of the amiga ProTracker music tracker"
+maintainer="rc-05 <rc23@email.it>"
+license="WTFPL"
+homepage="https://16-bits.org/pt.php"
+
+do_fetch() {
+	svn checkout svn://svn.code.sf.net/p/protracker/code/trunk ${wrksrc}/pt-clone-code
+}
+
+do_build() {
+	cd ${wrksrc}/pt-clone-code
+	chmod +x make-linux.sh
+	./make-linux.sh
+}
+
+do_install() {
+	vbin ${wrksrc}/pt-clone-code/release/other/protracker ProTracker
+}

From 0ffe79e6c659bb7d724271e6cfb6e0cf7fa659ba Mon Sep 17 00:00:00 2001
From: rc-05 <rc23@email.it>
Date: Thu, 13 Jun 2019 00:00:40 +0200
Subject: [PATCH 2/4] New package: scheme48-1.9_2

Fixed template file

Fixed template file
---
 srcpkgs/ProTracker/template | 25 -------------------------
 srcpkgs/scheme48/template   | 21 +++++++++++++++++++++
 2 files changed, 21 insertions(+), 25 deletions(-)
 delete mode 100644 srcpkgs/ProTracker/template
 create mode 100644 srcpkgs/scheme48/template

diff --git a/srcpkgs/ProTracker/template b/srcpkgs/ProTracker/template
deleted file mode 100644
index 7ce76b096d5..00000000000
--- a/srcpkgs/ProTracker/template
+++ /dev/null
@@ -1,25 +0,0 @@
-# Template file for 'ProTracker'
-pkgname=ProTracker
-version=0.20b
-revision=1
-hostmakedepends="subversion"
-makedepends="SDL2-devel"
-depends="SDL2"
-short_desc="Modern clone of the amiga ProTracker music tracker"
-maintainer="rc-05 <rc23@email.it>"
-license="WTFPL"
-homepage="https://16-bits.org/pt.php"
-
-do_fetch() {
-	svn checkout svn://svn.code.sf.net/p/protracker/code/trunk ${wrksrc}/pt-clone-code
-}
-
-do_build() {
-	cd ${wrksrc}/pt-clone-code
-	chmod +x make-linux.sh
-	./make-linux.sh
-}
-
-do_install() {
-	vbin ${wrksrc}/pt-clone-code/release/other/protracker ProTracker
-}
diff --git a/srcpkgs/scheme48/template b/srcpkgs/scheme48/template
new file mode 100644
index 00000000000..134c93605d4
--- /dev/null
+++ b/srcpkgs/scheme48/template
@@ -0,0 +1,21 @@
+# Template file for 'scheme48'
+pkgname=scheme48
+version=1.9.2
+revision=1
+build_style=gnu-configure
+configure_args="--prefix=/usr"
+short_desc="Implementation of the R5RS Scheme standard"
+maintainer="rc-05 <rc23@email.it>"
+license="custom:scheme48"
+homepage="http://s48.org/"
+distfiles="http://s48.org/${version}/scheme48-${version}.tgz"
+checksum=9c4921a90e95daee067cd2e9cc0ffe09e118f4da01c0c0198e577c4f47759df4
+alternatives="
+ scheme:scheme:/usr/bin/scheme48
+ scheme:scheme.1:/usr/share/man/man1/scheme48.1
+"
+nocross="Failed to compile test program"
+
+post_install() {
+	vlicense COPYING
+}
\ No newline at end of file

From a9b13831288e2896b47de37cf0d98b207b53f6cb Mon Sep 17 00:00:00 2001
From: Raffaele <48553361+rc-05@users.noreply.github.com>
Date: Wed, 19 Jun 2019 19:30:05 +0200
Subject: [PATCH 3/4] Update template

---
 srcpkgs/scheme48/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/scheme48/template b/srcpkgs/scheme48/template
index 134c93605d4..596a314d013 100644
--- a/srcpkgs/scheme48/template
+++ b/srcpkgs/scheme48/template
@@ -18,4 +18,4 @@ nocross="Failed to compile test program"
 
 post_install() {
 	vlicense COPYING
-}
\ No newline at end of file
+}

From ebb97b478321d9961fcd4f9bc217cffdff188473 Mon Sep 17 00:00:00 2001
From: Raffaele <48553361+rc-05@users.noreply.github.com>
Date: Wed, 19 Jun 2019 19:30:35 +0200
Subject: [PATCH 4/4] Update template

---
 srcpkgs/scheme48/template | 1 -
 1 file changed, 1 deletion(-)

diff --git a/srcpkgs/scheme48/template b/srcpkgs/scheme48/template
index 596a314d013..8f4307339a0 100644
--- a/srcpkgs/scheme48/template
+++ b/srcpkgs/scheme48/template
@@ -3,7 +3,6 @@ pkgname=scheme48
 version=1.9.2
 revision=1
 build_style=gnu-configure
-configure_args="--prefix=/usr"
 short_desc="Implementation of the R5RS Scheme standard"
 maintainer="rc-05 <rc23@email.it>"
 license="custom:scheme48"
